<?php
include "../config.php";
include "classes.php";

$condX = $_REQUEST['condX'];
$conX = $_REQUEST['conX'];
$tblX = $_REQUEST['tblX'];
$spcX = "CC_C1 = 2";
$chipscondX = $_REQUEST['chipscondX'];

$trendStatus = $_REQUEST['trendStatus'];
$trendcondX = $_REQUEST['trendcondX'];

if($conX==1)
{    
    $condX="1=1";   
}

if($trendStatus=='false')
{
    $trendsValue = [];
    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$chipscondX,$trendStatus,$trendsValue,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$chipscondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$chipscondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);
    
    $data['CC_C0'] = $recordCounter4->countRecords4('CC_C0', range(1,2));
    $data['CC_C1'] = $recordCounter1->countRecords1('CC_C1', range(1,3));
    $data['CC_C2'] = $recordCounter1->countRecords1('CC_C2', array(1,2,3,4,5,6,7,98));
    $data['CC_C7'] = $recordCounter1->countRecords1('CC_C7', range(1,2));
    $data['CC_C8'] = $recordCounter1->countRecords1('CC_C8', array(1,2,3,4,5,99));
    $data['CC_C9'] = $recordCounter1->countRecords1('CC_C9', array(1,2,3,4,5,6,7,59));
    $data['CC_C10'] = $recordCounter1->countRecords1('CC_C10', array(1,2,3,4,98));
    $data['CC_C11'] = $recordCounter2->countRecords2('CC_C11', range(1,7));
    $data['CC_C12'] = $recordCounter1->countRecords1('CC_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['CC_C15'] = $recordCounter1->countRecords1('CC_C15', array(1,2,3));
    $data['CC_C16'] = $recordCounter3->countRecords3('CC_C16', range(1,9));
    $data['CC_C17'] = $recordCounter1->countRecords1('CC_C17', range(1,3));
    $data['CC_C18'] = $recordCounter1->countRecords1('CC_C18', array(1,2,3,4,98,99));
    $data['CC_C19'] = $recordCounter2->countRecords2('CC_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['CC_C20'] = $recordCounter1->countRecords1('CC_C20', array(1,2,3));
    
    $data['S13_15'] = $recordCounter1->countRecords1('S13_15', array(1,2,3,4,5,6,7));
    
}
else{
    
    
    
    $trendsValue = [1,2,3,4,90,91];
    $recordCounter1 = new RecordCounter1($conn,$condX,$tblX,$spcX,$chipscondX,$trendStatus,$trendsValue,$trendStatus,$trendsValue);
    $recordCounter2 = new RecordCounter2($conn,$condX,$tblX,$spcX,$chipscondX,$trendStatus,$trendsValue);
    $recordCounter3 = new RecordCounter3($conn,$condX,$tblX,$spcX,$chipscondX,$trendStatus,$trendsValue);
    $recordCounter4 = new RecordCounter4($conn,$condX,$tblX,$spcX,$trendStatus,$trendsValue);
    
    $data['CC_C0'] = $recordCounter4->countRecords4('CC_C0', range(1,2));
    $data['CC_C1'] = $recordCounter1->countRecords1('CC_C1', range(1,3));
    $data['CC_C2'] = $recordCounter1->countRecords1('CC_C2', array(1,2,3,4,5,6,7,98));
    $data['CC_C7'] = $recordCounter1->countRecords1('CC_C7', range(1,2));
    $data['CC_C8'] = $recordCounter1->countRecords1('CC_C8', array(1,2,3,4,5,99));
    $data['CC_C9'] = $recordCounter1->countRecords1('CC_C9', array(1,2,3,4,5,6,7,59));
    $data['CC_C10'] = $recordCounter1->countRecords1('CC_C10', array(1,2,3,4,98));
    $data['CC_C11'] = $recordCounter2->countRecords2('CC_C11', range(1,7));
    $data['CC_C12'] = $recordCounter1->countRecords1('CC_C12', array(1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,98));
    $data['CC_C15'] = $recordCounter1->countRecords1('CC_C15', array(1,2,3));
    $data['CC_C16'] = $recordCounter3->countRecords3('CC_C16', range(1,9));
    $data['CC_C17'] = $recordCounter1->countRecords1('CC_C17', range(1,3));
    $data['CC_C18'] = $recordCounter1->countRecords1('CC_C18', array(1,2,3,4,98,99));
    $data['CC_C19'] = $recordCounter2->countRecords2('CC_C19', array(1,2,3,4,5,6,7,8,9,10,98,99));
    $data['CC_C20'] = $recordCounter1->countRecords1('CC_C20', array(1,2,3));
    
    $data['S13_15'] = $recordCounter1->countRecords1('S13_15', array(1,2,3,4,5,6,7));
    
}

echo json_encode($data);

?>